fontimport(1)

NAME
fontimport - import fonts into the teTeX directory structure

SYNOPSIS
fontimport [-d] [-f] [-s] [-t] [-m MF-mode] path ...

DESCRIPTION
fontimport imports TFM and PK font files into appropriate places in the teTeX directory tree and revises teTeX's filename database accordingly. Each path may be a font file or a directory, either absolute or relative to the current directory. All subdirectories of a given directory are searched for font files. Don't specify directory names that are symbolic links, however, since (at least some versions of) find(1) won't dereference them. A font's destination is determined by variables in the file texmf.cnf. By default, fontimport will issue a warning to stderr instead of overwriting an existing font file. The -f flag forces overwriting. fontimport can cope with font names conforming the 8.3-namescheme, too, so you can import fonts from either a TDS-compliant or MSDOS installation. emTeX's font libraries are not supported. If you want to import fonts from a font library, you need to unpack it with emTeX's fontlib utility first. The full pathname of each font successfully imported is echoed to stdout. When fontimport can not parse a font's name, it will import the font using a path element of "/unknown/" and issue a warning on stderr. fontimport tries to guess the mode of PK files. With the -m flag you may specify a fallback mode to be used if the mode can't be guessed. Options:

-m MF-MODE
    default Metafont mode for PK files if autodetection fails
-d  delete font files after copying (i.e., move them)
-f  force overwrite existing fonts
-s  do not use other destinations than the system's main texmf tree
-t  test mode: just echo each font's destination (if any); don't move or copy

SEE ALSO
allec(1), allneeded(1), fontexport(1), Fontname: Filenames for TeX Fonts (http://tug.org/fontname).

AUTHOR
Thomas Esser (te@dbs.uni-hannover.de)